BoxBoundingVolume Class

class NXOpen.CAE.BoxBoundingVolume

Bases: NXOpen.CAE.BoundingVolumePrimitive

Represents Box Bounding Volume for Selection Recipe

This is a sub object

New in version NX12.0.0.

Properties

Property Description
Containment Returns or sets the contaiment for the Bounding Volume Primitive.
Tag Returns the Tag for this object.

Methods

Method Description
GetCreationMethod Gets the type for the Bounding Volume Primitive.
GetCsysEdgelengths Gets the coordinate system and edge lengths for the Box Bounding Volume.
GetDiagonalPoints Gets the diagonal points for the Box Bounding Volume.
SetCsysEdgelengths Sets the coordinate system and edge lengths for the Box Bounding Volume.
SetDiagonalPoints Sets the diagonal points for the Box Bounding Volume.

Method Detail

GetCsysEdgelengths

BoxBoundingVolume.GetCsysEdgelengths

Gets the coordinate system and edge lengths for the Box Bounding Volume.

Signature GetCsysEdgelengths()

Returns:a tuple
Return type:A tuple consisting of (centerCsys, length, width, height). centerCsys is a NXOpen.CoordinateSystem. length is a NXOpen.Expression. width is a NXOpen.Expression. height is a NXOpen.Expression.

New in version NX12.0.0.

License requirements: None.

GetDiagonalPoints

BoxBoundingVolume.GetDiagonalPoints

Gets the diagonal points for the Box Bounding Volume.

Signature GetDiagonalPoints()

Returns:a tuple
Return type:A tuple consisting of (firstPoint, secondPoint). firstPoint is a NXOpen.Point. secondPoint is a NXOpen.Point.

New in version NX12.0.0.

License requirements: None.

SetCsysEdgelengths

BoxBoundingVolume.SetCsysEdgelengths

Sets the coordinate system and edge lengths for the Box Bounding Volume.

Signature SetCsysEdgelengths(centerCsys, length, width, height)

Parameters:

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetDiagonalPoints

BoxBoundingVolume.SetDiagonalPoints

Sets the diagonal points for the Box Bounding Volume.

Signature SetDiagonalPoints(firstPoint, secondPoint)

Parameters:

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)